Index: tree-vect-transform.c
===================================================================
RCS file: /cvs/gcc/gcc/gcc/tree-vect-transform.c,v
retrieving revision 2.35
diff -Idpatel.pbxuser -c -3 -p -r2.35 tree-vect-transform.c
*** tree-vect-transform.c	29 Jun 2005 18:13:27 -0000	2.35
--- tree-vect-transform.c	6 Jul 2005 02:12:41 -0000
*************** vect_create_addr_base_for_vector_ref (tr
*** 232,238 ****
    TREE_OPERAND (vec_stmt, 0) = new_temp;
    append_to_statement_list_force (vec_stmt, new_stmt_list);
  
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      {
        fprintf (vect_dump, "created ");
        print_generic_expr (vect_dump, vec_stmt, TDF_SLIM);
--- 232,238 ----
    TREE_OPERAND (vec_stmt, 0) = new_temp;
    append_to_statement_list_force (vec_stmt, new_stmt_list);
  
!   if (vect_print_dump_info (REPORT_DETAILS))
      {
        fprintf (vect_dump, "created ");
        print_generic_expr (vect_dump, vec_stmt, TDF_SLIM);
*************** vect_create_data_ref_ptr (tree stmt, blo
*** 332,338 ****
    base_name =  build_fold_indirect_ref (unshare_expr (
  		      STMT_VINFO_VECT_DR_BASE_ADDRESS (stmt_info)));
  
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      {
        tree data_ref_base = base_name;
        fprintf (vect_dump, "create array_ref of type: ");
--- 332,338 ----
    base_name =  build_fold_indirect_ref (unshare_expr (
  		      STMT_VINFO_VECT_DR_BASE_ADDRESS (stmt_info)));
  
!   if (vect_print_dump_info (REPORT_DETAILS))
      {
        tree data_ref_base = base_name;
        fprintf (vect_dump, "create array_ref of type: ");
*************** vect_init_vector (tree stmt, tree vector
*** 497,503 ****
    new_bb = bsi_insert_on_edge_immediate (pe, init_stmt);
    gcc_assert (!new_bb);
  
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      {
        fprintf (vect_dump, "created new init_stmt: ");
        print_generic_expr (vect_dump, init_stmt, TDF_SLIM);
--- 497,503 ----
    new_bb = bsi_insert_on_edge_immediate (pe, init_stmt);
    gcc_assert (!new_bb);
  
!   if (vect_print_dump_info (REPORT_DETAILS))
      {
        fprintf (vect_dump, "created new init_stmt: ");
        print_generic_expr (vect_dump, init_stmt, TDF_SLIM);
*************** vect_get_vec_def_for_operand (tree op, t
*** 539,545 ****
    enum vect_def_type dt;
    bool is_simple_use;
  
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      {
        fprintf (vect_dump, "vect_get_vec_def_for_operand: ");
        print_generic_expr (vect_dump, op, TDF_SLIM);
--- 539,545 ----
    enum vect_def_type dt;
    bool is_simple_use;
  
!   if (vect_print_dump_info (REPORT_DETAILS))
      {
        fprintf (vect_dump, "vect_get_vec_def_for_operand: ");
        print_generic_expr (vect_dump, op, TDF_SLIM);
*************** vect_get_vec_def_for_operand (tree op, t
*** 547,553 ****
  
    is_simple_use = vect_is_simple_use (op, loop_vinfo, &def_stmt, &def, &dt);
    gcc_assert (is_simple_use);
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      {
        if (def)
          {
--- 547,553 ----
  
    is_simple_use = vect_is_simple_use (op, loop_vinfo, &def_stmt, &def, &dt);
    gcc_assert (is_simple_use);
!   if (vect_print_dump_info (REPORT_DETAILS))
      {
        if (def)
          {
*************** vect_get_vec_def_for_operand (tree op, t
*** 570,576 ****
  	  *scalar_def = op;
  
          /* Create 'vect_cst_ = {cst,cst,...,cst}'  */
!         if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
            fprintf (vect_dump, "Create vector_cst. nunits = %d", nunits);
  
          for (i = nunits - 1; i >= 0; --i)
--- 570,576 ----
  	  *scalar_def = op;
  
          /* Create 'vect_cst_ = {cst,cst,...,cst}'  */
!         if (vect_print_dump_info (REPORT_DETAILS))
            fprintf (vect_dump, "Create vector_cst. nunits = %d", nunits);
  
          for (i = nunits - 1; i >= 0; --i)
*************** vect_get_vec_def_for_operand (tree op, t
*** 588,594 ****
  	  *scalar_def = def;
  
          /* Create 'vec_inv = {inv,inv,..,inv}'  */
!         if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
            fprintf (vect_dump, "Create vector_inv.");
  
          for (i = nunits - 1; i >= 0; --i)
--- 588,594 ----
  	  *scalar_def = def;
  
          /* Create 'vec_inv = {inv,inv,..,inv}'  */
!         if (vect_print_dump_info (REPORT_DETAILS))
            fprintf (vect_dump, "Create vector_inv.");
  
          for (i = nunits - 1; i >= 0; --i)
*************** vect_get_vec_def_for_operand (tree op, t
*** 627,633 ****
      /* Case 5: operand is defined by loop-header phi - induction.  */
      case vect_induction_def:
        {
!         if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
            fprintf (vect_dump, "induction - unsupported.");
          internal_error ("no support for induction"); /* FORNOW */
        }
--- 627,633 ----
      /* Case 5: operand is defined by loop-header phi - induction.  */
      case vect_induction_def:
        {
!         if (vect_print_dump_info (REPORT_DETAILS))
            fprintf (vect_dump, "induction - unsupported.");
          internal_error ("no support for induction"); /* FORNOW */
        }
*************** vect_finish_stmt_generation (tree stmt, 
*** 647,653 ****
  {
    bsi_insert_before (bsi, vec_stmt, BSI_SAME_STMT);
  
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      {
        fprintf (vect_dump, "add new stmt: ");
        print_generic_expr (vect_dump, vec_stmt, TDF_SLIM);
--- 647,653 ----
  {
    bsi_insert_before (bsi, vec_stmt, BSI_SAME_STMT);
  
!   if (vect_print_dump_info (REPORT_DETAILS))
      {
        fprintf (vect_dump, "add new stmt: ");
        print_generic_expr (vect_dump, vec_stmt, TDF_SLIM);
*************** vect_create_epilog_for_reduction (tree v
*** 877,883 ****
    /* 1.2 set the loop-latch arg for the reduction-phi:  */
    add_phi_arg (reduction_phi, vect_def, loop_latch_edge (loop));
  
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      {
        fprintf (vect_dump, "transform reduction: created def-use cycle:");
        print_generic_expr (vect_dump, reduction_phi, TDF_SLIM);
--- 877,883 ----
    /* 1.2 set the loop-latch arg for the reduction-phi:  */
    add_phi_arg (reduction_phi, vect_def, loop_latch_edge (loop));
  
!   if (vect_print_dump_info (REPORT_DETAILS))
      {
        fprintf (vect_dump, "transform reduction: created def-use cycle:");
        print_generic_expr (vect_dump, reduction_phi, TDF_SLIM);
*************** vect_create_epilog_for_reduction (tree v
*** 909,915 ****
        /*** Case 1:  Create:
  	   v_out2 = reduc_expr <v_out1>  */
  
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
  	fprintf (vect_dump, "Reduce using direct vector reduction.");
  
        vec_dest = vect_create_destination_var (scalar_dest, vectype);
--- 909,915 ----
        /*** Case 1:  Create:
  	   v_out2 = reduc_expr <v_out1>  */
  
!       if (vect_print_dump_info (REPORT_DETAILS))
  	fprintf (vect_dump, "Reduce using direct vector reduction.");
  
        vec_dest = vect_create_destination_var (scalar_dest, vectype);
*************** vect_create_epilog_for_reduction (tree v
*** 965,971 ****
  	          Create:  va = vop <va, va'>
  	        }  */
  
! 	  if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
  	    fprintf (vect_dump, "Reduce using vector shifts");
  
  	  vec_dest = vect_create_destination_var (scalar_dest, vectype);
--- 965,971 ----
  	          Create:  va = vop <va, va'>
  	        }  */
  
! 	  if (vect_print_dump_info (REPORT_DETAILS))
  	    fprintf (vect_dump, "Reduce using vector shifts");
  
  	  vec_dest = vect_create_destination_var (scalar_dest, vectype);
*************** vect_create_epilog_for_reduction (tree v
*** 982,988 ****
  	      new_name = make_ssa_name (vec_dest, epilog_stmt);
  	      TREE_OPERAND (epilog_stmt, 0) = new_name;
  	      bsi_insert_after (&exit_bsi, epilog_stmt, BSI_NEW_STMT);
! 	      if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
  		print_generic_expr (vect_dump, epilog_stmt, TDF_SLIM);
  
  
--- 982,988 ----
  	      new_name = make_ssa_name (vec_dest, epilog_stmt);
  	      TREE_OPERAND (epilog_stmt, 0) = new_name;
  	      bsi_insert_after (&exit_bsi, epilog_stmt, BSI_NEW_STMT);
! 	      if (vect_print_dump_info (REPORT_DETAILS))
  		print_generic_expr (vect_dump, epilog_stmt, TDF_SLIM);
  
  
*************** vect_create_epilog_for_reduction (tree v
*** 991,997 ****
  	      new_temp = make_ssa_name (vec_dest, epilog_stmt);
  	      TREE_OPERAND (epilog_stmt, 0) = new_temp;
  	      bsi_insert_after (&exit_bsi, epilog_stmt, BSI_NEW_STMT);
! 	      if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
  		print_generic_expr (vect_dump, epilog_stmt, TDF_SLIM);
  	    }
  
--- 991,997 ----
  	      new_temp = make_ssa_name (vec_dest, epilog_stmt);
  	      TREE_OPERAND (epilog_stmt, 0) = new_temp;
  	      bsi_insert_after (&exit_bsi, epilog_stmt, BSI_NEW_STMT);
! 	      if (vect_print_dump_info (REPORT_DETAILS))
  		print_generic_expr (vect_dump, epilog_stmt, TDF_SLIM);
  	    }
  
*************** vect_create_epilog_for_reduction (tree v
*** 1008,1014 ****
  	         Create:  s = op <s, s'>
  	       }  */
  
! 	  if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
  	    fprintf (vect_dump, "Reduce using scalar code. ");
  
  	  vec_temp = PHI_RESULT (new_phi);
--- 1008,1014 ----
  	         Create:  s = op <s, s'>
  	       }  */
  
! 	  if (vect_print_dump_info (REPORT_DETAILS))
  	    fprintf (vect_dump, "Reduce using scalar code. ");
  
  	  vec_temp = PHI_RESULT (new_phi);
*************** vect_create_epilog_for_reduction (tree v
*** 1026,1032 ****
                new_temp = make_ssa_name (new_scalar_dest, epilog_stmt);
                TREE_OPERAND (epilog_stmt, 0) = new_temp;
                bsi_insert_after (&exit_bsi, epilog_stmt, BSI_NEW_STMT);
!               if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
                  print_generic_expr (vect_dump, epilog_stmt, TDF_SLIM);
  	      
  	      bit_offset = element_bitsize;
--- 1026,1032 ----
                new_temp = make_ssa_name (new_scalar_dest, epilog_stmt);
                TREE_OPERAND (epilog_stmt, 0) = new_temp;
                bsi_insert_after (&exit_bsi, epilog_stmt, BSI_NEW_STMT);
!               if (vect_print_dump_info (REPORT_DETAILS))
                  print_generic_expr (vect_dump, epilog_stmt, TDF_SLIM);
  	      
  	      bit_offset = element_bitsize;
*************** vect_create_epilog_for_reduction (tree v
*** 1049,1055 ****
  	      new_name = make_ssa_name (new_scalar_dest, epilog_stmt);
  	      TREE_OPERAND (epilog_stmt, 0) = new_name;
  	      bsi_insert_after (&exit_bsi, epilog_stmt, BSI_NEW_STMT);
! 	      if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
  		print_generic_expr (vect_dump, epilog_stmt, TDF_SLIM);
  
  
--- 1049,1055 ----
  	      new_name = make_ssa_name (new_scalar_dest, epilog_stmt);
  	      TREE_OPERAND (epilog_stmt, 0) = new_name;
  	      bsi_insert_after (&exit_bsi, epilog_stmt, BSI_NEW_STMT);
! 	      if (vect_print_dump_info (REPORT_DETAILS))
  		print_generic_expr (vect_dump, epilog_stmt, TDF_SLIM);
  
  
*************** vect_create_epilog_for_reduction (tree v
*** 1058,1064 ****
  	      new_temp = make_ssa_name (new_scalar_dest, epilog_stmt);
  	      TREE_OPERAND (epilog_stmt, 0) = new_temp;
  	      bsi_insert_after (&exit_bsi, epilog_stmt, BSI_NEW_STMT);
! 	      if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
  		print_generic_expr (vect_dump, epilog_stmt, TDF_SLIM);
  	    }
  
--- 1058,1064 ----
  	      new_temp = make_ssa_name (new_scalar_dest, epilog_stmt);
  	      TREE_OPERAND (epilog_stmt, 0) = new_temp;
  	      bsi_insert_after (&exit_bsi, epilog_stmt, BSI_NEW_STMT);
! 	      if (vect_print_dump_info (REPORT_DETAILS))
  		print_generic_expr (vect_dump, epilog_stmt, TDF_SLIM);
  	    }
  
*************** vect_create_epilog_for_reduction (tree v
*** 1073,1079 ****
    
    if (extract_scalar_result)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
  	fprintf (vect_dump, "extract scalar result");
  
        /* The result is in the low order bits.  */
--- 1073,1079 ----
    
    if (extract_scalar_result)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
  	fprintf (vect_dump, "extract scalar result");
  
        /* The result is in the low order bits.  */
*************** vect_create_epilog_for_reduction (tree v
*** 1090,1096 ****
        new_temp = make_ssa_name (new_scalar_dest, epilog_stmt);
        TREE_OPERAND (epilog_stmt, 0) = new_temp; 
        bsi_insert_after (&exit_bsi, epilog_stmt, BSI_NEW_STMT);
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
  	print_generic_expr (vect_dump, epilog_stmt, TDF_SLIM);
      }
  
--- 1090,1096 ----
        new_temp = make_ssa_name (new_scalar_dest, epilog_stmt);
        TREE_OPERAND (epilog_stmt, 0) = new_temp; 
        bsi_insert_after (&exit_bsi, epilog_stmt, BSI_NEW_STMT);
!       if (vect_print_dump_info (REPORT_DETAILS))
  	print_generic_expr (vect_dump, epilog_stmt, TDF_SLIM);
      }
  
*************** vect_create_epilog_for_reduction (tree v
*** 1110,1116 ****
        TREE_OPERAND (epilog_stmt, 0) = new_temp;
        bsi_insert_after (&exit_bsi, epilog_stmt, BSI_NEW_STMT);
  
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          print_generic_expr (vect_dump, epilog_stmt, TDF_SLIM);
      }
  
--- 1110,1116 ----
        TREE_OPERAND (epilog_stmt, 0) = new_temp;
        bsi_insert_after (&exit_bsi, epilog_stmt, BSI_NEW_STMT);
  
!       if (vect_print_dump_info (REPORT_DETAILS))
          print_generic_expr (vect_dump, epilog_stmt, TDF_SLIM);
      }
  
*************** vectorizable_reduction (tree stmt, block
*** 1218,1237 ****
    optab = optab_for_tree_code (code, vectype);
    if (!optab)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          fprintf (vect_dump, "no optab.");
        return false;
      }
    vec_mode = TYPE_MODE (vectype);
    if (optab->handlers[(int) vec_mode].insn_code == CODE_FOR_nothing)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          fprintf (vect_dump, "op not supported by target.");
        if (GET_MODE_SIZE (vec_mode) != UNITS_PER_WORD
            || LOOP_VINFO_VECT_FACTOR (loop_vinfo)
  	     < vect_min_worthwhile_factor (code))
          return false;
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
  	fprintf (vect_dump, "proceeding using word mode.");
      }
  
--- 1218,1237 ----
    optab = optab_for_tree_code (code, vectype);
    if (!optab)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
          fprintf (vect_dump, "no optab.");
        return false;
      }
    vec_mode = TYPE_MODE (vectype);
    if (optab->handlers[(int) vec_mode].insn_code == CODE_FOR_nothing)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
          fprintf (vect_dump, "op not supported by target.");
        if (GET_MODE_SIZE (vec_mode) != UNITS_PER_WORD
            || LOOP_VINFO_VECT_FACTOR (loop_vinfo)
  	     < vect_min_worthwhile_factor (code))
          return false;
!       if (vect_print_dump_info (REPORT_DETAILS))
  	fprintf (vect_dump, "proceeding using word mode.");
      }
  
*************** vectorizable_reduction (tree stmt, block
*** 1240,1246 ****
        && LOOP_VINFO_VECT_FACTOR (loop_vinfo)
  	 < vect_min_worthwhile_factor (code))
      {
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
  	fprintf (vect_dump, "not worthwhile without SIMD support.");
        return false;
      }
--- 1240,1246 ----
        && LOOP_VINFO_VECT_FACTOR (loop_vinfo)
  	 < vect_min_worthwhile_factor (code))
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
  	fprintf (vect_dump, "not worthwhile without SIMD support.");
        return false;
      }
*************** vectorizable_reduction (tree stmt, block
*** 1251,1263 ****
    reduc_optab = optab_for_tree_code (reduc_code, vectype);
    if (!reduc_optab)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          fprintf (vect_dump, "no optab for reduction.");
        reduc_code = NUM_TREE_CODES;
      }
    if (reduc_optab->handlers[(int) vec_mode].insn_code == CODE_FOR_nothing)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          fprintf (vect_dump, "reduc op not supported by target.");
        reduc_code = NUM_TREE_CODES;
      }
--- 1251,1263 ----
    reduc_optab = optab_for_tree_code (reduc_code, vectype);
    if (!reduc_optab)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
          fprintf (vect_dump, "no optab for reduction.");
        reduc_code = NUM_TREE_CODES;
      }
    if (reduc_optab->handlers[(int) vec_mode].insn_code == CODE_FOR_nothing)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
          fprintf (vect_dump, "reduc op not supported by target.");
        reduc_code = NUM_TREE_CODES;
      }
*************** vectorizable_reduction (tree stmt, block
*** 1270,1276 ****
  
    /** Transform.  **/
  
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      fprintf (vect_dump, "transform reduction.");
  
    /* Create the destination vector  */
--- 1270,1276 ----
  
    /** Transform.  **/
  
!   if (vect_print_dump_info (REPORT_DETAILS))
      fprintf (vect_dump, "transform reduction.");
  
    /* Create the destination vector  */
*************** vectorizable_assignment (tree stmt, bloc
*** 1338,1344 ****
    op = TREE_OPERAND (stmt, 1);
    if (!vect_is_simple_use (op, loop_vinfo, &def_stmt, &def, &dt))
      {
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          fprintf (vect_dump, "use not simple.");
        return false;
      }
--- 1338,1344 ----
    op = TREE_OPERAND (stmt, 1);
    if (!vect_is_simple_use (op, loop_vinfo, &def_stmt, &def, &dt))
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
          fprintf (vect_dump, "use not simple.");
        return false;
      }
*************** vectorizable_assignment (tree stmt, bloc
*** 1350,1356 ****
      }
  
    /** Transform.  **/
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      fprintf (vect_dump, "transform assignment.");
  
    /* Handle def.  */
--- 1350,1356 ----
      }
  
    /** Transform.  **/
!   if (vect_print_dump_info (REPORT_DETAILS))
      fprintf (vect_dump, "transform assignment.");
  
    /* Handle def.  */
*************** vectorizable_operation (tree stmt, block
*** 1434,1440 ****
    if (STMT_VINFO_LIVE_P (stmt_info))
      {
        /* FORNOW: not yet supported.  */
!       if (vect_print_dump_info (REPORT_DETAILS, LOOP_LOC (loop_vinfo)))
          fprintf (vect_dump, "value used after loop.");
        return false;
      }
--- 1434,1440 ----
    if (STMT_VINFO_LIVE_P (stmt_info))
      {
        /* FORNOW: not yet supported.  */
!       if (vect_print_dump_info (REPORT_DETAILS))
          fprintf (vect_dump, "value used after loop.");
        return false;
      }
*************** vectorizable_operation (tree stmt, block
*** 1453,1459 ****
    op_type = TREE_CODE_LENGTH (code);
    if (op_type != unary_op && op_type != binary_op)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
  	fprintf (vect_dump, "num. args = %d (not unary/binary op).", op_type);
        return false;
      }
--- 1453,1459 ----
    op_type = TREE_CODE_LENGTH (code);
    if (op_type != unary_op && op_type != binary_op)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
  	fprintf (vect_dump, "num. args = %d (not unary/binary op).", op_type);
        return false;
      }
*************** vectorizable_operation (tree stmt, block
*** 1463,1469 ****
        op = TREE_OPERAND (operation, i);
        if (!vect_is_simple_use (op, loop_vinfo, &def_stmt, &def, &dt))
  	{
! 	  if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
  	    fprintf (vect_dump, "use not simple.");
  	  return false;
  	}	
--- 1463,1469 ----
        op = TREE_OPERAND (operation, i);
        if (!vect_is_simple_use (op, loop_vinfo, &def_stmt, &def, &dt))
  	{
! 	  if (vect_print_dump_info (REPORT_DETAILS))
  	    fprintf (vect_dump, "use not simple.");
  	  return false;
  	}	
*************** vectorizable_operation (tree stmt, block
*** 1472,1491 ****
    /* Supportable by target?  */
    if (!optab)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
  	fprintf (vect_dump, "no optab.");
        return false;
      }
    vec_mode = TYPE_MODE (vectype);
    if (optab->handlers[(int) vec_mode].insn_code == CODE_FOR_nothing)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
  	fprintf (vect_dump, "op not supported by target.");
        if (GET_MODE_SIZE (vec_mode) != UNITS_PER_WORD
            || LOOP_VINFO_VECT_FACTOR (loop_vinfo)
  	     < vect_min_worthwhile_factor (code))
          return false;
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
  	fprintf (vect_dump, "proceeding using word mode.");
      }
  
--- 1472,1491 ----
    /* Supportable by target?  */
    if (!optab)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
  	fprintf (vect_dump, "no optab.");
        return false;
      }
    vec_mode = TYPE_MODE (vectype);
    if (optab->handlers[(int) vec_mode].insn_code == CODE_FOR_nothing)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
  	fprintf (vect_dump, "op not supported by target.");
        if (GET_MODE_SIZE (vec_mode) != UNITS_PER_WORD
            || LOOP_VINFO_VECT_FACTOR (loop_vinfo)
  	     < vect_min_worthwhile_factor (code))
          return false;
!       if (vect_print_dump_info (REPORT_DETAILS))
  	fprintf (vect_dump, "proceeding using word mode.");
      }
  
*************** vectorizable_operation (tree stmt, block
*** 1494,1500 ****
        && LOOP_VINFO_VECT_FACTOR (loop_vinfo)
  	 < vect_min_worthwhile_factor (code))
      {
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
  	fprintf (vect_dump, "not worthwhile without SIMD support.");
        return false;
      }
--- 1494,1500 ----
        && LOOP_VINFO_VECT_FACTOR (loop_vinfo)
  	 < vect_min_worthwhile_factor (code))
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
  	fprintf (vect_dump, "not worthwhile without SIMD support.");
        return false;
      }
*************** vectorizable_operation (tree stmt, block
*** 1507,1513 ****
  
    /** Transform.  **/
  
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      fprintf (vect_dump, "transform binary/unary operation.");
  
    /* Handle def.  */
--- 1507,1513 ----
  
    /** Transform.  **/
  
!   if (vect_print_dump_info (REPORT_DETAILS))
      fprintf (vect_dump, "transform binary/unary operation.");
  
    /* Handle def.  */
*************** vectorizable_store (tree stmt, block_stm
*** 1579,1585 ****
    op = TREE_OPERAND (stmt, 1);
    if (!vect_is_simple_use (op, loop_vinfo, &def_stmt, &def, &dt))
      {
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          fprintf (vect_dump, "use not simple.");
        return false;
      }
--- 1579,1585 ----
    op = TREE_OPERAND (stmt, 1);
    if (!vect_is_simple_use (op, loop_vinfo, &def_stmt, &def, &dt))
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
          fprintf (vect_dump, "use not simple.");
        return false;
      }
*************** vectorizable_store (tree stmt, block_stm
*** 1602,1608 ****
  
    /** Transform.  **/
  
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      fprintf (vect_dump, "transform store");
  
    alignment_support_cheme = vect_supportable_dr_alignment (dr);
--- 1602,1608 ----
  
    /** Transform.  **/
  
!   if (vect_print_dump_info (REPORT_DETAILS))
      fprintf (vect_dump, "transform store");
  
    alignment_support_cheme = vect_supportable_dr_alignment (dr);
*************** vectorizable_load (tree stmt, block_stmt
*** 1680,1686 ****
    if (STMT_VINFO_LIVE_P (stmt_info))
      {
        /* FORNOW: not yet supported.  */
!       if (vect_print_dump_info (REPORT_DETAILS, LOOP_LOC (loop_vinfo)))
          fprintf (vect_dump, "value used after loop.");
        return false;
      }
--- 1680,1686 ----
    if (STMT_VINFO_LIVE_P (stmt_info))
      {
        /* FORNOW: not yet supported.  */
!       if (vect_print_dump_info (REPORT_DETAILS))
          fprintf (vect_dump, "value used after loop.");
        return false;
      }
*************** vectorizable_load (tree stmt, block_stmt
*** 1705,1711 ****
      (e.g. - data copies).  */
    if (mov_optab->handlers[mode].insn_code == CODE_FOR_nothing)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, LOOP_LOC (loop_vinfo)))
  	fprintf (vect_dump, "Aligned load, but unsupported type.");
        return false;
      }
--- 1705,1711 ----
      (e.g. - data copies).  */
    if (mov_optab->handlers[mode].insn_code == CODE_FOR_nothing)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
  	fprintf (vect_dump, "Aligned load, but unsupported type.");
        return false;
      }
*************** vectorizable_load (tree stmt, block_stmt
*** 1718,1724 ****
  
    /** Transform.  **/
  
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      fprintf (vect_dump, "transform load.");
  
    alignment_support_cheme = vect_supportable_dr_alignment (dr);
--- 1718,1724 ----
  
    /** Transform.  **/
  
!   if (vect_print_dump_info (REPORT_DETAILS))
      fprintf (vect_dump, "transform load.");
  
    alignment_support_cheme = vect_supportable_dr_alignment (dr);
*************** vectorizable_live_operation (tree stmt,
*** 1907,1913 ****
        op = TREE_OPERAND (operation, i);
        if (!vect_is_simple_use (op, loop_vinfo, &def_stmt, &def, &dt))
          {
!           if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
              fprintf (vect_dump, "use not simple.");
            return false;
          }
--- 1907,1913 ----
        op = TREE_OPERAND (operation, i);
        if (!vect_is_simple_use (op, loop_vinfo, &def_stmt, &def, &dt))
          {
!           if (vect_print_dump_info (REPORT_DETAILS))
              fprintf (vect_dump, "use not simple.");
            return false;
          }
*************** vectorizable_condition (tree stmt, block
*** 1998,2004 ****
    if (STMT_VINFO_LIVE_P (stmt_info))
      {
        /* FORNOW: not yet supported.  */
!       if (vect_print_dump_info (REPORT_DETAILS, LOOP_LOC (loop_vinfo)))
          fprintf (vect_dump, "value used after loop.");
        return false;
      }
--- 1998,2004 ----
    if (STMT_VINFO_LIVE_P (stmt_info))
      {
        /* FORNOW: not yet supported.  */
!       if (vect_print_dump_info (REPORT_DETAILS))
          fprintf (vect_dump, "value used after loop.");
        return false;
      }
*************** vect_transform_stmt (tree stmt, block_st
*** 2120,2126 ****
  	break;
  
        default:
! 	if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
  	  fprintf (vect_dump, "stmt not supported.");
  	gcc_unreachable ();
        }
--- 2120,2126 ----
  	break;
  
        default:
! 	if (vect_print_dump_info (REPORT_DETAILS))
  	  fprintf (vect_dump, "stmt not supported.");
  	gcc_unreachable ();
        }
*************** vect_update_ivs_after_vectorizer (loop_v
*** 2388,2394 ****
        tree var, stmt, ni, ni_name;
        block_stmt_iterator last_bsi;
  
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          {
            fprintf (vect_dump, "vect_update_ivs_after_vectorizer: phi: ");
            print_generic_expr (vect_dump, phi, TDF_SLIM);
--- 2388,2394 ----
        tree var, stmt, ni, ni_name;
        block_stmt_iterator last_bsi;
  
!       if (vect_print_dump_info (REPORT_DETAILS))
          {
            fprintf (vect_dump, "vect_update_ivs_after_vectorizer: phi: ");
            print_generic_expr (vect_dump, phi, TDF_SLIM);
*************** vect_update_ivs_after_vectorizer (loop_v
*** 2397,2403 ****
        /* Skip virtual phi's.  */
        if (!is_gimple_reg (SSA_NAME_VAR (PHI_RESULT (phi))))
  	{
! 	  if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
  	    fprintf (vect_dump, "virtual phi. skip.");
  	  continue;
  	}
--- 2397,2403 ----
        /* Skip virtual phi's.  */
        if (!is_gimple_reg (SSA_NAME_VAR (PHI_RESULT (phi))))
  	{
! 	  if (vect_print_dump_info (REPORT_DETAILS))
  	    fprintf (vect_dump, "virtual phi. skip.");
  	  continue;
  	}
*************** vect_update_ivs_after_vectorizer (loop_v
*** 2405,2411 ****
        /* Skip reduction phis.  */
        if (STMT_VINFO_DEF_TYPE (vinfo_for_stmt (phi)) == vect_reduction_def)
          { 
!           if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
              fprintf (vect_dump, "reduc phi. skip.");
            continue;
          } 
--- 2405,2411 ----
        /* Skip reduction phis.  */
        if (STMT_VINFO_DEF_TYPE (vinfo_for_stmt (phi)) == vect_reduction_def)
          { 
!           if (vect_print_dump_info (REPORT_DETAILS))
              fprintf (vect_dump, "reduc phi. skip.");
            continue;
          } 
*************** vect_do_peeling_for_loop_bound (loop_vec
*** 2465,2471 ****
    basic_block preheader;
    int loop_num;
  
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      fprintf (vect_dump, "=== vect_do_peeling_for_loop_bound ===");
  
    initialize_original_copy_tables ();
--- 2465,2471 ----
    basic_block preheader;
    int loop_num;
  
!   if (vect_print_dump_info (REPORT_DETAILS))
      fprintf (vect_dump, "=== vect_do_peeling_for_loop_bound ===");
  
    initialize_original_copy_tables ();
*************** vect_gen_niters_for_prolog_loop (loop_ve
*** 2555,2561 ****
        int element_size = vectype_align/vf;
        int elem_misalign = byte_misalign / element_size;
  
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          fprintf (vect_dump, "known alignment = %d.", byte_misalign);
        iters = build_int_cst (niters_type, (vf - elem_misalign)&(vf-1));
      }
--- 2555,2561 ----
        int element_size = vectype_align/vf;
        int elem_misalign = byte_misalign / element_size;
  
!       if (vect_print_dump_info (REPORT_DETAILS))
          fprintf (vect_dump, "known alignment = %d.", byte_misalign);
        iters = build_int_cst (niters_type, (vf - elem_misalign)&(vf-1));
      }
*************** vect_gen_niters_for_prolog_loop (loop_ve
*** 2598,2604 ****
    if (TREE_CODE (loop_niters) != INTEGER_CST)
      iters = build2 (MIN_EXPR, niters_type, iters, loop_niters);
  
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      {
        fprintf (vect_dump, "niters for prolog loop: ");
        print_generic_expr (vect_dump, iters, TDF_SLIM);
--- 2598,2604 ----
    if (TREE_CODE (loop_niters) != INTEGER_CST)
      iters = build2 (MIN_EXPR, niters_type, iters, loop_niters);
  
!   if (vect_print_dump_info (REPORT_DETAILS))
      {
        fprintf (vect_dump, "niters for prolog loop: ");
        print_generic_expr (vect_dump, iters, TDF_SLIM);
*************** vect_do_peeling_for_alignment (loop_vec_
*** 2687,2693 ****
    tree n_iters;
    struct loop *new_loop;
  
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      fprintf (vect_dump, "=== vect_do_peeling_for_alignment ===");
  
    initialize_original_copy_tables ();
--- 2687,2693 ----
    tree n_iters;
    struct loop *new_loop;
  
!   if (vect_print_dump_info (REPORT_DETAILS))
      fprintf (vect_dump, "=== vect_do_peeling_for_alignment ===");
  
    initialize_original_copy_tables ();
